# EnumPropsT< DiagDirection > Struct Template Reference

Define basic enum properties. More...

`#include <direction_type.h>`

Inheritance diagram for EnumPropsT< DiagDirection >:

## Detailed Description

### template<>
struct EnumPropsT< DiagDirection >

Define basic enum properties.

Definition at line 94 of file direction_type.h.

The documentation for this struct was generated from the following file:

- src/direction_type.h